/*******************************************************************************
 * Copyright (c) 2015 Ericsson AB.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Ericsson - initial API and implementation
 *******************************************************************************/

package demo;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.fail;

import org.eclipse.ui.IViewPart;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.junit.Test;


public class OpenViewTest {

	@Test
	public void openView() {
		try {
			IViewPart view = PlatformUI.getWorkbench()
					.getActiveWorkbenchWindow()
					.getActivePage()
					.showView("org.eclipse.ui.views.TaskList");
			assertNotNull(view);
		} catch (PartInitException e) {

			e.printStackTrace();
			fail("we failed opening the view " + e.getMessage());
		}
	}

}
